#
# Conditional build:
%bcond_without	tests	# Do not perform "make test"
#
%define		pdir	Crypt
%define		pnam	Noekeon
Summary:	Crypt::Noekeon - Crypt::CBC-compliant block cipher
Summary(pl.UTF-8):	Crypt::Noekeon - szyfr blokowy kompatybilny z Crypt::CBC
Name:		perl-Crypt-Noekeon
Version:	1.0.2
Release:	17
License:	GPL v2
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Crypt/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	51fc0d4486e2f98cf433df4cf6c4dc6a
URL:		http://search.cpan.org/dist/Crypt-Noekeon/
BuildRequires:	perl-devel >= 1:5.8.0
%{?with_tests:BuildRequires:	perl-perldoc}
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Noekeon is a 128-bit key, 128-bit block cipher designed by Joan
Daemen, Michael Peeters, Vincent Rijmen, and Gilles Van Assche.
Noekeon was submitted as a NESSIE candidate. This module supports
the Crypt::CBC interface.

%description -l pl.UTF-8
Noekeon jest 128-bitowym szyfrem blokowym ze 128-bitowym kluczem,
opracowanym przez Joan Daemen, Michaela Peetersa, Vincenta Rijmena
i Gillesa Van Assche. Noekeon został zgłoszony jako kandydat do
NESSIE. Ten moduł obsługuje interfejs Crypt::CBC.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

cd examples
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
for f in * ; do
	sed -e "s@#!/usr/local/bin/perl@#!/usr/bin/perl@" $f \
		> $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}/$f
done

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorarch}/Crypt/Noekeon.pm
%dir %{perl_vendorarch}/auto/Crypt/Noekeon
%attr(755,root,root) %{perl_vendorarch}/auto/Crypt/Noekeon/Noekeon.so
%{_mandir}/man3/*
%attr(755,root,root) %{_examplesdir}/%{name}-%{version}
%changelog
* Mon Aug 22 2022 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Crypt-Noekeon.git;a=log;h=master

* Mon Aug 22 2022 Jan Palus <atler@pld-linux.org> 3229eda
- perl 5.36.0 rebuild

* Sun Feb 27 2022 Jan Rękorajski <baggins@pld-linux.org> 8e074a7
- rebuild with perl 5.34.0

* Fri May 07 2021 Jan Rękorajski <baggins@pld-linux.org> 4b500b3
- rebuild with perl 5.32

* Sat Jan 25 2020 Jan Rękorajski <baggins@pld-linux.org> 60b60be
- drop obsolete and outdated manual inclusion of rpm macros

* Wed Dec 04 2019 Jan Rękorajski <baggins@pld-linux.org> 8042c75
- rebuild with perl 5.30.0
- release 14 (by relup.sh)

* Thu Aug 30 2018 Jan Rękorajski <baggins@pld-linux.org> a88f596
- rebuild with perl 5.28.0
- release 13 (by relup.sh)

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> 6ca8f57
- perl req/prov fix
- release 12 (by relup.sh)

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> 2945f0f
- rebuild with perl 5.26
- release 11 (by relup.sh)

* Sun Oct 30 2016 Jan Rękorajski <baggins@pld-linux.org> d52c147
- rebuild with perl 5.24.0
- release 10 (by relup.sh)

* Thu Dec 24 2015 Jan Rękorajski <baggins@pld-linux.org> 409cb4d
- release 9 (by relup.sh)

* Thu Feb 26 2015 Jan Rękorajski <baggins@pld-linux.org> 83e22a5
- x32 rebuild
- release 8 (by relup.sh)

* Sat Sep 13 2014 Jan Rękorajski <baggins@pld-linux.org> 1aded27
- release 7 (by relup.sh)

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> d94b97d
- removed zero-sized .bs file

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 95d9a89
- rebuild for perl 5.20
- release 6 (by relup.sh)

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> e8808f6
- rebuild with perl 5.18.0
- release 5 (by relup.sh)

* Sat Jan 22 2011 sparky <sparky@pld-linux.org> e550413
- tests BR: perl-perldoc (for diagnostics)

* Wed Jun 30 2010 amateja <amateja@pld-linux.org> 7e14b08
- release 4

* Sun Jun 06 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 38a5894
- release 3

* Sat Mar 15 2008 Jakub Bogusz <qboosh@pld-linux.org> 5555c88
- generic URL

* Sun Feb 10 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 4b28da7
- rel 2

